PHP Manual
Prev |  | Next

# px_set_targetencoding

(PECL)

px_set_targetencoding -- Sets the encoding for character fields (deprecated)

## Description

bool px_set_targetencoding ( resource pxdoc, string encoding )

Set the encoding for data retrieved from a character field. All character fields will be recoded to the encoding set by this function. If the encoding is not set, the character data will be returned in the DOS code page encoding as specified in the database file. The encoding can be any string identifier known to iconv or recode. On unix systems run iconv -l for a list of available encodings.

This function is deprecated and should be replaced by calling px_set_parameter().

See also px_get_info() to determine the DOS code page as stored in the database file.

## Parameters

pxdoc

  Resource identifier of the paradox database as returned by px_new().

encoding

  The encoding for the output. Data which is being read from character fields is recoded into the targetencoding.

## Return Values

Returns `FALSE` if the encoding could not be set, e.g. the encoding is unknown, or pxlib does not support recoding at all. In the second case a warning will be issued.

## See Also

px_set_parameter()

Prev | Home | Next
px_set_tablename | Up | px_set_value